Index: bf_sw/source/core/unocore/sw_unosett.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/unocore/sw_unosett.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sw/source/core/unocore/sw_unosett.cxx	9 Sep 2005 02:54:44 -0000	1.5
+++ bf_sw/source/core/unocore/sw_unosett.cxx	27 Apr 2006 12:33:42 -0000	1.5.72.1
@@ -1111,7 +1111,7 @@
 				{
 					INT32 nVal;
 					aValue >>= nVal;
-					aInfo.SetPosFromLeft(Min(MM100_TO_TWIP(nVal), sal_Int32(0xffff)));
+					aInfo.SetPosFromLeft(Min(static_cast<sal_Int32>(MM100_TO_TWIP(nVal)), sal_Int32(0xffff)));
 				}
 				break;
 				case WID_INTERVAL   :
@@ -1230,7 +1230,7 @@
 					sal_uInt32 nPos = rInfo.GetPosFromLeft();
 					if(USHRT_MAX == nPos)
 						nPos = 0;
-					aRet <<= TWIP_TO_MM100(nPos);
+					aRet <<= static_cast < sal_Int32 >(TWIP_TO_MM100(nPos));
 				}
 				break;
 				case WID_INTERVAL   :
@@ -2634,7 +2634,7 @@
 	switch(pMap->nWID)
 	{
 		case WID_TXTCOL_LINE_WIDTH:
-			aRet <<= TWIP_TO_MM100(nSepLineWidth);
+			aRet <<= static_cast < sal_Int32 >(TWIP_TO_MM100(nSepLineWidth));
 		break;
 		case WID_TXTCOL_LINE_COLOR:
 			aRet <<= nSepLineColor;
Index: bf_sw/source/filter/xml/sw_swxml.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/filter/xml/sw_swxml.cxx,v
retrieving revision 1.4
retrieving revision 1.4.72.1
diff -u -r1.4 -r1.4.72.1
--- bf_sw/source/filter/xml/sw_swxml.cxx	9 Sep 2005 03:39:48 -0000	1.4
+++ bf_sw/source/filter/xml/sw_swxml.cxx	27 Apr 2006 10:32:10 -0000	1.4.72.1
@@ -427,7 +427,7 @@
 }
 
 
-sal_uInt32 XMLReader::Read( SwDoc &rDoc, SwPaM &rPaM, const String & rName )
+ULONG XMLReader::Read( SwDoc &rDoc, SwPaM &rPaM, const String & rName )
 {
 	// Get service factory
 	Reference< lang::XMultiServiceFactory > xServiceFactory =
@@ -587,7 +587,7 @@
     }
 
 	rDoc.AddLink();	// prevent deletion
-	sal_uInt32 nRet = 0;
+	ULONG nRet = 0;
 
 	// save redline mode into import info property set
 	Any aAny;
Index: bf_sw/source/filter/xml/sw_wrtxml.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/filter/xml/sw_wrtxml.cxx,v
retrieving revision 1.4
retrieving revision 1.4.72.1
diff -u -r1.4 -r1.4.72.1
--- bf_sw/source/filter/xml/sw_wrtxml.cxx	9 Sep 2005 03:40:15 -0000	1.4
+++ bf_sw/source/filter/xml/sw_wrtxml.cxx	27 Apr 2006 10:35:38 -0000	1.4.72.1
@@ -441,12 +441,12 @@
 	return 0;
 }
 
-sal_uInt32 SwXMLWriter::WriteStorage()
+ULONG SwXMLWriter::WriteStorage()
 {
 	return _Write();
 }
 
-sal_uInt32 SwXMLWriter::Write( SwPaM& rPaM, SfxMedium& rMed,
+ULONG SwXMLWriter::Write( SwPaM& rPaM, SfxMedium& rMed,
 							   const String* pFileName )
 {
 	return IsStgWriter()
Index: bf_sw/source/filter/xml/sw_xmlimp.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/filter/xml/sw_xmlimp.cxx,v
retrieving revision 1.7
retrieving revision 1.7.72.1
diff -u -r1.7 -r1.7.72.1
--- bf_sw/source/filter/xml/sw_xmlimp.cxx	9 Sep 2005 03:41:46 -0000	1.7
+++ bf_sw/source/filter/xml/sw_xmlimp.cxx	27 Apr 2006 10:33:19 -0000	1.7.72.1
@@ -710,7 +710,7 @@
 		if( !pPos->nContent.GetIndex() )
 		{
 			SwTxtNode* pCurrNd;
-			sal_uInt32 nNodeIdx = pPos->nNode.GetIndex();
+			ULONG nNodeIdx = pPos->nNode.GetIndex();
 			pDoc = pPaM->GetDoc();
 
 			DBG_ASSERT( pPos->nNode.GetNode().IsCntntNode(),
Index: bf_sw/source/filter/xml/sw_xmlimpit.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/filter/xml/sw_xmlimpit.cxx,v
retrieving revision 1.6
retrieving revision 1.6.70.1
diff -u -r1.6 -r1.6.70.1
--- bf_sw/source/filter/xml/sw_xmlimpit.cxx	9 Sep 2005 03:41:59 -0000	1.6
+++ bf_sw/source/filter/xml/sw_xmlimpit.cxx	27 Apr 2006 10:40:50 -0000	1.6.70.1
@@ -777,7 +777,7 @@
                         }
                         else if( -1 != aToken.indexOf( sal_Unicode('%') ) )
                         {
-                            long nPrc = 50;
+                            sal_Int32 nPrc = 50;
                             if( rUnitConverter.convertPercent( nPrc, aToken ) )
                             {
                                 if( !bHori )
Index: bf_sw/source/filter/xml/sw_xmlithlp.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/filter/xml/sw_xmlithlp.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sw/source/filter/xml/sw_xmlithlp.cxx	9 Sep 2005 03:43:09 -0000	1.5
+++ bf_sw/source/filter/xml/sw_xmlithlp.cxx	27 Apr 2006 10:39:47 -0000	1.5.72.1
@@ -203,7 +203,7 @@
     rWidth = 0;
     rNamedWidth = USHRT_MAX;
 
-    long nTemp;
+    sal_Int32 nTemp;
     while( aTokens.getNextToken( aToken ) && aToken.getLength() != 0 )
     {
         if( !rHasWidth &&
Index: bf_sw/source/filter/xml/sw_xmltble.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/filter/xml/sw_xmltble.cxx,v
retrieving revision 1.7
retrieving revision 1.7.70.1
diff -u -r1.7 -r1.7.70.1
--- bf_sw/source/filter/xml/sw_xmltble.cxx	9 Sep 2005 03:44:06 -0000	1.7
+++ bf_sw/source/filter/xml/sw_xmltble.cxx	27 Apr 2006 10:38:23 -0000	1.7.70.1
@@ -677,7 +677,7 @@
 				pColumn->SetWidthOpt( (sal_uInt16)nColAbsWidth, sal_False );
 			}
 
-			sal_uInt32 nExpPos = 0;
+			ULONG nExpPos = 0;
 			if( rExpCols.Seek_Entry( pColumn, &nExpPos ) )
 			{
 				pColumn->SetStyleName(
Index: bf_sw/source/filter/xml/sw_xmltexti.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/filter/xml/sw_xmltexti.cxx,v
retrieving revision 1.7
retrieving revision 1.7.70.1
diff -u -r1.7 -r1.7.70.1
--- bf_sw/source/filter/xml/sw_xmltexti.cxx	9 Sep 2005 03:45:02 -0000	1.7
+++ bf_sw/source/filter/xml/sw_xmltexti.cxx	27 Apr 2006 10:37:22 -0000	1.7.70.1
@@ -175,7 +175,7 @@
 };
 static void lcl_putHeightAndWidth ( SfxItemSet &rItemSet, 
 		sal_Int32 nHeight, sal_Int32 nWidth,
-		sal_Int32 *pTwipHeight=0, sal_Int32 *pTwipWidth=0 )
+		long *pTwipHeight=0, long *pTwipWidth=0 )
 {
 	if( nWidth > 0 && nHeight > 0 )
 	{
Index: bf_sw/source/filter/xml/wrtxml.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/filter/xml/wrtxml.hxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- bf_sw/source/filter/xml/wrtxml.hxx	9 Sep 2005 03:45:15 -0000	1.3
+++ bf_sw/source/filter/xml/wrtxml.hxx	27 Apr 2006 10:35:17 -0000	1.3.72.1
@@ -67,7 +67,7 @@
 	sal_uInt32 _Write();
 
 protected:
-	virtual sal_uInt32 WriteStorage();
+	virtual ULONG WriteStorage();
 
 public:
 
Index: bf_sw/source/ui/inc/view.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/ui/inc/view.hxx,v
retrieving revision 1.5
retrieving revision 1.5.38.1
diff -u -r1.5 -r1.5.38.1
--- bf_sw/source/ui/inc/view.hxx	19 Jan 2006 17:30:50 -0000	1.5
+++ bf_sw/source/ui/inc/view.hxx	27 Apr 2006 13:37:16 -0000	1.5.38.1
@@ -408,7 +408,7 @@
 	SfxDispatcher 	&GetDispatcher();
 
 //STRIP001 	virtual SdrView*		GetDrawView() const;
-	virtual	BOOL			HasUIFeature( ULONG nFeature );
+	virtual	BOOL			HasUIFeature( sal_uInt32 nFeature );
 	virtual	void			ShowCursor( FASTBOOL bOn = TRUE );
 //STRIP001 	virtual ErrCode			DoVerb( long nVerb );
 
Index: bf_xmloff/source/core/xmloff_xmlehelp.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/core/xmloff_xmlehelp.cxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- bf_xmloff/source/core/xmloff_xmlehelp.cxx	9 Sep 2005 07:46:00 -0000	1.3
+++ bf_xmloff/source/core/xmloff_xmlehelp.cxx	28 Apr 2006 08:58:40 -0000	1.3.72.1
@@ -58,7 +58,7 @@
 using namespace ::rtl;
 using namespace ::binfilter::xmloff::token;
 
-void SvXMLExportHelper::AddLength( long nValue, MapUnit eValueUnit,
+void SvXMLExportHelper::AddLength( sal_Int32 nValue, MapUnit eValueUnit,
 		   			  	   		   OUStringBuffer& rOut,
 								   MapUnit eOutUnit )
 {
@@ -70,9 +70,9 @@
 	}
 	
 	// The new length is (nVal * nMul)/(nDiv*nFac*10)
-	long nMul = 1000;
-	long nDiv = 1;
-	long nFac = 100;
+	sal_Int32 nMul = 1000;
+	sal_Int32 nDiv = 1;
+	sal_Int32 nFac = 100;
 	enum XMLTokenEnum eUnit = XML_TOKEN_INVALID;
 	switch( eValueUnit )
 	{
@@ -176,9 +176,9 @@
 	}
 
 
-	long nLongVal;
+	sal_Int32 nLongVal;
 	BOOL bOutLongVal = TRUE;
-	if( nValue > LONG_MAX / nMul )
+	if( nValue > SAL_MAX_INT32 / nMul )
 	{
 		// A big int is required for calculation
 		BigInt nBigVal( nValue );
@@ -190,8 +190,8 @@
 
 		if( nBigVal.IsLong() )
 		{
-			// To convert the value into a string a long is sufficient
-			nLongVal = (long)nBigVal;
+			// To convert the value into a string a sal_Int32 is sufficient
+			nLongVal = (sal_Int32)nBigVal;
 		}
 		else
 		{
@@ -313,7 +313,7 @@
 
 }
 
-void SvXMLExportHelper::AddPercentage( long nValue, OUStringBuffer& rOut )
+void SvXMLExportHelper::AddPercentage( sal_Int32 nValue, OUStringBuffer& rOut )
 {
 	rOut.append( nValue );
 	rOut.append( sal_Unicode('%' ) );
Index: bf_xmloff/source/core/xmloff_xmluconv.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/core/xmloff_xmluconv.cxx,v
retrieving revision 1.3
retrieving revision 1.3.70.1
diff -u -r1.3 -r1.3.70.1
--- bf_xmloff/source/core/xmloff_xmluconv.cxx	9 Sep 2005 07:48:30 -0000	1.3
+++ bf_xmloff/source/core/xmloff_xmluconv.cxx	28 Apr 2006 08:58:40 -0000	1.3.70.1
@@ -931,7 +931,7 @@
             bDone = sal_True;
         else if ( sal_Unicode('0') <= c && sal_Unicode('9') >= c )
         {
-            if ( nTemp >= LONG_MAX / 10 )
+            if ( nTemp >= SAL_MAX_INT32 / 10 )
                 bSuccess = sal_False;
             else
             {
Index: bf_xmloff/source/meta/xmloff_xmlmetai.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/meta/xmloff_xmlmetai.cxx,v
retrieving revision 1.4
retrieving revision 1.4.10.1
diff -u -r1.4 -r1.4.10.1
--- bf_xmloff/source/meta/xmloff_xmlmetai.cxx	7 Apr 2006 13:33:38 -0000	1.4
+++ bf_xmloff/source/meta/xmloff_xmlmetai.cxx	28 Apr 2006 08:58:40 -0000	1.4.10.1
@@ -328,7 +328,7 @@
             bDone = sal_True;
         else if ( sal_Unicode('0') <= c && sal_Unicode('9') >= c )
         {
-            if ( nTemp >= LONG_MAX / 10 )
+            if ( nTemp >= SAL_MAX_INT32 / 10 )
                 bSuccess = sal_False;
             else
             {
Index: bf_xmloff/source/style/xmloff_XMLBackgroundImageContext.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/style/xmloff_XMLBackgroundImageContext.cxx,v
retrieving revision 1.3
retrieving revision 1.3.70.1
diff -u -r1.3 -r1.3.70.1
--- bf_xmloff/source/style/xmloff_XMLBackgroundImageContext.cxx	9 Sep 2005 09:42:20 -0000	1.3
+++ bf_xmloff/source/style/xmloff_XMLBackgroundImageContext.cxx	27 Apr 2006 12:45:03 -0000	1.3.70.1
@@ -248,7 +248,7 @@
 					}
 					else if( -1 != aToken.indexOf( sal_Unicode('%') ) )
 					{
-						long nPrc = 50;
+						sal_Int32 nPrc = 50;
 						if( rUnitConverter.convertPercent( nPrc, aToken ) )
 						{
 							if( !bHori )
Index: bf_xmloff/source/style/xmloff_XMLFontAutoStylePool.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/style/xmloff_XMLFontAutoStylePool.cxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- bf_xmloff/source/style/xmloff_XMLFontAutoStylePool.cxx	9 Sep 2005 09:44:45 -0000	1.3
+++ bf_xmloff/source/style/xmloff_XMLFontAutoStylePool.cxx	27 Apr 2006 12:47:21 -0000	1.3.72.1
@@ -196,7 +196,7 @@
 	OUString sName;
 	XMLFontAutoStylePoolEntry_Impl aTmp( rFamilyName, rStyleName, nFamily,
 									 	 nPitch, eEnc );
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( pPool->Seek_Entry( &aTmp, &nPos ) )
 	{
 		sName = pPool->GetObject( nPos )->GetName();
@@ -250,7 +250,7 @@
 	OUString sName;
 	XMLFontAutoStylePoolEntry_Impl aTmp( rFamilyName, rStyleName, nFamily,
 									 	 nPitch, eEnc );
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( pPool->Seek_Entry( &aTmp, &nPos ) )
 	{
 		sName = pPool->GetObject( nPos )->GetName();
Index: bf_xmloff/source/style/xmloff_backhdl.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/style/xmloff_backhdl.cxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- bf_xmloff/source/style/xmloff_backhdl.cxx	9 Sep 2005 09:47:12 -0000	1.3
+++ bf_xmloff/source/style/xmloff_backhdl.cxx	27 Apr 2006 12:54:39 -0000	1.3.72.1
@@ -107,7 +107,7 @@
 		}
 		else if( -1 != aToken.indexOf( sal_Unicode('%') ) )
 		{
-			long nPrc = 50;
+			sal_Int32 nPrc = 50;
 			if( rUnitConverter.convertPercent( nPrc, aToken ) )
 			{
 				if( !bHori )
Index: bf_xmloff/source/style/xmloff_bordrhdl.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/style/xmloff_bordrhdl.cxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- bf_xmloff/source/style/xmloff_bordrhdl.cxx	9 Sep 2005 09:47:29 -0000	1.3
+++ bf_xmloff/source/style/xmloff_bordrhdl.cxx	27 Apr 2006 12:54:39 -0000	1.3.72.1
@@ -355,7 +355,7 @@
 	sal_uInt16 nNamedWidth = USHRT_MAX;
 	Color aColor;
 
-	long nTemp;
+	sal_Int32 nTemp;
 	while( aTokens.getNextToken( aToken ) && aToken.getLength() != 0 )
 	{
 		if( !bHasWidth &&
Index: bf_xmloff/source/style/xmloff_impastp4.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/style/xmloff_impastp4.cxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- bf_xmloff/source/style/xmloff_impastp4.cxx	9 Sep 2005 09:50:58 -0000	1.3
+++ bf_xmloff/source/style/xmloff_impastp4.cxx	27 Apr 2006 12:54:39 -0000	1.3.72.1
@@ -110,7 +110,7 @@
 		sal_Bool bAsFamily )
 {
 	// store family in a list if not already stored
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl *pFamily = new XMLFamilyData_Impl( nFamily, rStrName, rMapper, rStrPrefix, bAsFamily );
 	if( !maFamilyList.Seek_Entry( pFamily, &nPos ) )
 		maFamilyList.Insert( pFamily );
@@ -127,7 +127,7 @@
 {
 	SvXMLAutoStylePoolNamesP_Impl *pNames = 0;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
 		pNames = maFamilyList.GetObject( nPos )->mpNameList;
@@ -158,7 +158,7 @@
 				sal_Bool bCache)
 {
 	sal_Bool bRet(sal_False);
-	sal_uInt32 nPos;
+	ULONG nPos;
 
 	XMLFamilyData_Impl *pFamily = 0;
 	XMLFamilyData_Impl aTmp( nFamily );
@@ -206,7 +206,7 @@
 OUString SvXMLAutoStylePoolP_Impl::AddToCache( sal_Int32 nFamily,
 							 		    const OUString& rParent )
 {
-	sal_uInt32 nPos;
+	ULONG nPos;
 
 	XMLFamilyData_Impl *pFamily = 0;
 	XMLFamilyData_Impl aTmp( nFamily );
@@ -238,7 +238,7 @@
 {
 	OUString sName;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
@@ -265,7 +265,7 @@
 {
 	OUString sName;
 
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
@@ -307,7 +307,7 @@
 	sal_uInt32 nCount = 0;
 
 	// Get list of parents for current family (nFamily)
-	sal_uInt32 nPos;
+	ULONG nPos;
 	XMLFamilyData_Impl aTmp( nFamily );
 	XMLFamilyData_Impl *pFamily = 0;
 	if( maFamilyList.Seek_Entry( &aTmp, &nPos ) )
Index: bf_xmloff/source/style/xmloff_xmlnumi.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/style/xmloff_xmlnumi.cxx,v
retrieving revision 1.3
retrieving revision 1.3.70.1
diff -u -r1.3 -r1.3.70.1
--- bf_xmloff/source/style/xmloff_xmlnumi.cxx	9 Sep 2005 09:58:11 -0000	1.3
+++ bf_xmloff/source/style/xmloff_xmlnumi.cxx	28 Apr 2006 08:58:41 -0000	1.3.70.1
@@ -758,11 +758,11 @@
 			sVerticalRel = rValue;
 			break;
 		case XML_TOK_STYLE_ATTRIBUTES_ATTR_WIDTH:
-			if( rUnitConv.convertMeasure( nVal, rValue, 0, LONG_MAX ) )
+			if( rUnitConv.convertMeasure( nVal, rValue, 0, SAL_MAX_INT32 ) )
 				rListLevel.SetImageWidth( nVal );
 			break;
 		case XML_TOK_STYLE_ATTRIBUTES_ATTR_HEIGHT:
-			if( rUnitConv.convertMeasure( nVal, rValue, 0, LONG_MAX ) )
+			if( rUnitConv.convertMeasure( nVal, rValue, 0, SAL_MAX_INT32 ) )
 				rListLevel.SetImageHeight( nVal );
 			break;
 		case XML_TOK_STYLE_ATTRIBUTES_ATTR_COLOR:
Index: bf_xmloff/source/style/xmloff_xmlstyle.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/style/xmloff_xmlstyle.cxx,v
retrieving revision 1.4
retrieving revision 1.4.70.1
diff -u -r1.4 -r1.4.70.1
--- bf_xmloff/source/style/xmloff_xmlstyle.cxx	9 Sep 2005 09:59:15 -0000	1.4
+++ bf_xmloff/source/style/xmloff_xmlstyle.cxx	27 Apr 2006 12:54:39 -0000	1.4.70.1
@@ -459,7 +459,7 @@
 	if( pIndices )
 	{
 		SvXMLStyleIndex_Impl aIndex( nFamily, rName );
-		sal_uInt32 nPos = 0;
+		ULONG nPos = 0;
 		if( pIndices->Seek_Entry( &aIndex, &nPos ) )
 			pStyle = pIndices->GetObject( nPos )->GetStyle();
 	}
Index: bf_xmloff/source/text/xmloff_XMLTextListAutoStylePool.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_xmloff/source/text/xmloff_XMLTextListAutoStylePool.cxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- bf_xmloff/source/text/xmloff_XMLTextListAutoStylePool.cxx	9 Sep 2005 10:31:16 -0000	1.3
+++ bf_xmloff/source/text/xmloff_XMLTextListAutoStylePool.cxx	27 Apr 2006 15:53:55 -0000	1.3.72.1
@@ -226,7 +226,7 @@
 
 sal_uInt32 XMLTextListAutoStylePool::Find( XMLTextListAutoStylePoolEntry_Impl* pEntry ) const
 {
-	sal_uInt32 nPos;
+	ULONG nPos;
 	if( !pEntry->IsNamed() && mxNumRuleCompare.is() )
 	{
 		const sal_uInt32 nCount = pPool->Count();
Index: inc/bf_sc/appoptio.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sc/appoptio.hxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- inc/bf_sc/appoptio.hxx	9 Sep 2005 10:56:59 -0000	1.5
+++ inc/bf_sc/appoptio.hxx	27 Apr 2006 16:28:36 -0000	1.5.72.1
@@ -85,14 +85,14 @@
 	void		SetDetectiveAuto( BOOL bNew )	{ bDetectiveAuto = bNew; }
 	BOOL		GetDetectiveAuto() const		{ return bDetectiveAuto; }
 
-	void		SetTrackContentColor(ULONG nNew) { nTrackContentColor = nNew; }
-	ULONG		GetTrackContentColor() const	 { return nTrackContentColor; }
-	void		SetTrackInsertColor(ULONG nNew)	 { nTrackInsertColor = nNew;  }
-	ULONG		GetTrackInsertColor() const		 { return nTrackInsertColor;  }
-	void		SetTrackDeleteColor(ULONG nNew)	 { nTrackDeleteColor = nNew;  }
-	ULONG		GetTrackDeleteColor() const		 { return nTrackDeleteColor;  }
-	void		SetTrackMoveColor(ULONG nNew)	 { nTrackMoveColor = nNew;    }
-	ULONG		GetTrackMoveColor() const		 { return nTrackMoveColor;    }
+	void		SetTrackContentColor(sal_uInt32 nNew) { nTrackContentColor = nNew; }
+	sal_uInt32	GetTrackContentColor() const	 { return nTrackContentColor; }
+	void		SetTrackInsertColor(sal_uInt32 nNew)	 { nTrackInsertColor = nNew;  }
+	sal_uInt32	GetTrackInsertColor() const		 { return nTrackInsertColor;  }
+	void		SetTrackDeleteColor(sal_uInt32 nNew)	 { nTrackDeleteColor = nNew;  }
+	sal_uInt32	GetTrackDeleteColor() const		 { return nTrackDeleteColor;  }
+	void		SetTrackMoveColor(sal_uInt32 nNew)	 { nTrackMoveColor = nNew;    }
+	sal_uInt32	GetTrackMoveColor() const		 { return nTrackMoveColor;    }
 
 	ScLkUpdMode GetLinkMode() const				{ return eLinkMode ;}
 	void		SetLinkMode( ScLkUpdMode nSet )	{ 	eLinkMode  = nSet;}
@@ -116,10 +116,10 @@
 	USHORT		nStatusFunc;
 	BOOL		bAutoComplete;
 	BOOL		bDetectiveAuto;
-	ULONG		nTrackContentColor;
-	ULONG		nTrackInsertColor;
-	ULONG		nTrackDeleteColor;
-	ULONG		nTrackMoveColor;
+	sal_uInt32	nTrackContentColor;
+	sal_uInt32	nTrackInsertColor;
+	sal_uInt32	nTrackDeleteColor;
+	sal_uInt32	nTrackMoveColor;
 	ScLkUpdMode eLinkMode;
 	INT32		nDefaultObjectSizeWidth;
 	INT32		nDefaultObjectSizeHeight;
Index: inc/bf_sc/conditio.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sc/conditio.hxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- inc/bf_sc/conditio.hxx	9 Sep 2005 11:03:32 -0000	1.3
+++ inc/bf_sc/conditio.hxx	27 Apr 2006 11:27:33 -0000	1.3.72.1
@@ -206,13 +206,13 @@
 {
 	ScDocument*			pDoc;
 	ScRangeList*		pAreas;				// Bereiche fuer Paint
-	ULONG				nKey;				// Index in Attributen
+	sal_uInt32			nKey;				// Index in Attributen
 	ScCondFormatEntry**	ppEntries;
 	USHORT				nEntryCount;
 	BOOL				bIsUsed;			// temporaer beim Speichern
 
 public:
-			ScConditionalFormat(ULONG nNewKey, ScDocument* pDocument);
+			ScConditionalFormat(sal_uInt32 nNewKey, ScDocument* pDocument);
 			ScConditionalFormat(const ScConditionalFormat& r);
 			ScConditionalFormat(SvStream& rStream, ScMultipleReadHeader& rHdr,
 								ScDocument* pDocument);
@@ -245,8 +245,8 @@
 	void			DoRepaint( const ScRange* pModified );
 	void			InvalidateArea();
 
-	ULONG			GetKey() const			{ return nKey; }
-	void			SetKey(ULONG nNew)		{ nKey = nNew; }	// nur wenn nicht eingefuegt!
+	sal_uInt32		GetKey() const			{ return nKey; }
+	void			SetKey(sal_uInt32 nNew)	{ nKey = nNew; }	// nur wenn nicht eingefuegt!
 
 	void			SetUsed(BOOL bSet)		{ bIsUsed = bSet; }
 	BOOL			IsUsed() const			{ return bIsUsed; }
@@ -277,7 +277,7 @@
 	void	InsertNew( ScConditionalFormat* pNew )
 				{ if (!Insert(pNew)) delete pNew; }
 
-	ScConditionalFormat* GetFormat( ULONG nKey );
+	ScConditionalFormat* GetFormat( sal_uInt32 nKey );
 
 	void	Load( SvStream& rStream, ScDocument* pDocument );
 	void	Store( SvStream& rStream ) const;
Index: inc/bf_sc/document.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sc/document.hxx,v
retrieving revision 1.6
retrieving revision 1.6.52.1
diff -u -r1.6 -r1.6.52.1
--- inc/bf_sc/document.hxx	14 Dec 2005 14:34:42 -0000	1.6
+++ inc/bf_sc/document.hxx	27 Apr 2006 13:17:57 -0000	1.6.52.1
@@ -759,7 +759,7 @@
 	void			GetValue( USHORT nCol, USHORT nRow, USHORT nTab, double& rValue );
 	double			RoundValueAsShown( double fVal, ULONG nFormat );
 	void			GetNumberFormat( USHORT nCol, USHORT nRow, USHORT nTab,
-									 ULONG& rFormat );
+									 sal_uInt32& rFormat );
 	ULONG			GetNumberFormat( const ScAddress& ) const;
 					/// if no number format attribute is set the calculated
 					/// number format of the formula cell is returned
Index: inc/bf_sc/rechead.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sc/rechead.hxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- inc/bf_sc/rechead.hxx	9 Sep 2005 11:24:36 -0000	1.3
+++ inc/bf_sc/rechead.hxx	27 Apr 2006 16:28:36 -0000	1.3.72.1
@@ -158,10 +158,10 @@
 private:
 	SvStream&	rStream;
 	ULONG		nDataPos;
-	ULONG		nDataSize;
+	sal_uInt32	nDataSize;
 
 public:
-	ScWriteHeader(SvStream& rNewStream, ULONG nDefault = 0);
+	ScWriteHeader(SvStream& rNewStream, sal_uInt32 nDefault = 0);
 	~ScWriteHeader();
 };
 
@@ -192,11 +192,11 @@
 	SvStream&		rStream;
 	SvMemoryStream	aMemStream;
 	ULONG			nDataPos;
-	ULONG			nDataSize;
+	sal_uInt32		nDataSize;
 	ULONG			nEntryStart;
 
 public:
-	ScMultipleWriteHeader(SvStream& rNewStream, ULONG nDefault = 0);
+	ScMultipleWriteHeader(SvStream& rNewStream, sal_uInt32 nDefault = 0);
 	~ScMultipleWriteHeader();
 
 	void	StartEntry();
Index: inc/bf_sc/validat.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sc/validat.hxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- inc/bf_sc/validat.hxx	9 Sep 2005 11:36:11 -0000	1.3
+++ inc/bf_sc/validat.hxx	27 Apr 2006 11:37:03 -0000	1.3.72.1
@@ -70,7 +70,7 @@
 
 class ScValidationData : public ScConditionEntry
 {
-	ULONG				nKey;				// Index in Attributen
+	sal_uInt32			nKey;				// Index in Attributen
 
 	ScValidationMode	eDataMode;
 	BOOL				bShowInput;
@@ -132,8 +132,8 @@
 //STRIP001 	void			DoCalcError( ScFormulaCell* pCell ) const;
 
 	BOOL			IsEmpty() const;
-	ULONG			GetKey() const			{ return nKey; }
-	void			SetKey(ULONG nNew)		{ nKey = nNew; }	// nur wenn nicht eingefuegt!
+	sal_uInt32		GetKey() const			{ return nKey; }
+	void			SetKey(sal_uInt32 nNew)		{ nKey = nNew; }	// nur wenn nicht eingefuegt!
 
 	void			SetUsed(BOOL bSet)		{ bIsUsed = bSet; }
 	BOOL			IsUsed() const			{ return bIsUsed; }
@@ -166,7 +166,7 @@
 	void	InsertNew( ScValidationData* pNew )
 				{ if (!Insert(pNew)) delete pNew; }
 
-	ScValidationData* GetData( ULONG nKey );
+	ScValidationData* GetData( sal_uInt32 nKey );
 
 	void	Load( SvStream& rStream, ScDocument* pDocument );
 	void	Store( SvStream& rStream ) const;
Index: inc/bf_sch/memchrt.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sch/memchrt.hxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- inc/bf_sch/memchrt.hxx	9 Sep 2005 11:48:05 -0000	1.6
+++ inc/bf_sch/memchrt.hxx	27 Apr 2006 11:05:12 -0000	1.6.72.1
@@ -194,12 +194,12 @@
 
 	// number formatter and format id
 	SvNumberFormatter*  mpNumFormatter;
-	long *pRowNumFmtId;
-	long *pColNumFmtId;
+	sal_Int32 *pRowNumFmtId;
+	sal_Int32 *pColNumFmtId;
 
 	// translation table for row-/column reordering (internal)
-	long *pRowTable;
-	long *pColTable;
+	sal_Int32 *pRowTable;
+	sal_Int32 *pColTable;
 	ChartSelectionInfo aSelectionInfo;
 
 	// is not copied in copy contrustor (?)
@@ -263,49 +263,49 @@
 	// methods for translation of data
 //STRIP001 	BOOL TransCol(long nCol,BOOL bUp=TRUE);
 //STRIP001 	BOOL TransRow(long nRow,BOOL bUp=TRUE);
-	inline void ResetTranslation(long *pTable,long nCnt);
+	inline void ResetTranslation(sal_Int32 *pTable,long nCnt);
 	BOOL VerifyTranslation();
 	long GetTranslation() const { return nTranslated; }
-	inline void UpdateTranslation(long *pTable,long nCnt);
+	inline void UpdateTranslation(sal_Int32 *pTable,long nCnt);
 	// for acces always use these Get-methods !
 	double GetTransData(long nCol,long nRow);
 	double GetTransDataInPercent(long nCol ,long nRow,BOOL bRowData) const;
 	const String& GetTransColText(long nCol) const;
 	const String& GetTransRowText(long nRow) const;
 
-	const long *GetRowTranslation() const { return pRowTable; }
-	const long *GetColTranslation() const { return pColTable; }
+	const sal_Int32 *GetRowTranslation() const { return pRowTable; }
+	const sal_Int32 *GetColTranslation() const { return pColTable; }
 
 #ifdef SCH_COPY_HACK
-	const long* GetRowNumFmtTable() const { return pRowNumFmtId; }
-	const long* GetColNumFmtTable() const { return pColNumFmtId; }
+	const sal_Int32* GetRowNumFmtTable() const { return pRowNumFmtId; }
+	const sal_Int32* GetColNumFmtTable() const { return pColNumFmtId; }
 
 	// ********************
 	// BM: Fix for #68864#
 	// Use these four methods with care! The arrays MUST have the correct size!
 	// ********************
-	void SetRowTranslation( const long* pTransTable )
+	void SetRowTranslation( const sal_Int32* pTransTable )
 	{
 		if( !pRowTable ) return;
-		for( long i=0; i<nRowCnt; i++ )
+		for( sal_Int32 i=0; i<nRowCnt; i++ )
 			pRowTable[ i ] = pTransTable[ i ];
 	}
-	void SetColTranslation( const long* pTransTable )
+	void SetColTranslation( const sal_Int32* pTransTable )
 	{
 		if( !pColTable ) return;
-		for( long i=0; i<nColCnt; i++ )
+		for( sal_Int32 i=0; i<nColCnt; i++ )
 			pColTable[ i ] = pTransTable[ i ];
 	}
-	void SetRowNumFmtTable( const long* pNumFmtTable )
+	void SetRowNumFmtTable( const sal_Int32* pNumFmtTable )
 	{
 		if( !pRowNumFmtId ) return;
-		for( long i=0; i<nRowCnt; i++ )
+		for( sal_Int32 i=0; i<nRowCnt; i++ )
 			pRowNumFmtId[ i ] = pNumFmtTable[ i ];
 	}
-	void SetColNumFmtTable( const long* pNumFmtTable )
+	void SetColNumFmtTable( const sal_Int32* pNumFmtTable )
 	{
 		if( !pColNumFmtId ) return;
-		for( long i=0; i<nColCnt; i++ )
+		for( sal_Int32 i=0; i<nColCnt; i++ )
 			pColNumFmtId[ i ] = pNumFmtTable[ i ];
 	}
 	// this is only valid if the corresponding translation table was set correctly!
@@ -481,7 +481,7 @@
 
 // ==================== Inline Implementations ====================
 
-inline void SchMemChart::ResetTranslation(long *pTable,long nCnt)
+inline void SchMemChart::ResetTranslation(sal_Int32 *pTable,long nCnt)
 {
 	long i;
 	if(pTable)
@@ -494,12 +494,13 @@
 		nTranslated=TRANS_NONE;
 }
 
-inline void SchMemChart::UpdateTranslation(long *pTable,long nCnt)
+inline void SchMemChart::UpdateTranslation(sal_Int32 *pTable,long nCnt)
 {
 	if( (pTable==pRowTable && nTranslated==TRANS_ROW)
 	  ||(pTable==pColTable && nTranslated==TRANS_COL))
 	{
-		long i,nMax=0;
+		long i;
+		sal_Int32 nMax=0;
 		for(i=0;i<nCnt;i++)
 			nMax=Max(nMax,pTable[i]);
 
@@ -588,11 +589,11 @@
 	delete[] pOldData;
 
 	String *pOldColText     = pColText;
-	long   *pOldColNumFmtId = pColNumFmtId;
-	long   *pOldColTable    = pColTable;
+	sal_Int32 *pOldColNumFmtId = pColNumFmtId;
+	sal_Int32 *pOldColTable    = pColTable;
 
-	pColNumFmtId	= new long  [nNewColCnt];
-	pColTable		= new long  [nNewColCnt];
+	pColNumFmtId	= new sal_Int32 [nNewColCnt];
+	pColTable		= new sal_Int32 [nNewColCnt];
 	pColText		= new String[nNewColCnt];
 
 	long nC=nNewColCnt;
@@ -636,12 +637,12 @@
 	pData = new double[nNewColCnt * nRowCnt];
 
 	String* pOldColText		= pColText;
-	long*   pOldColNumFmtId	= pColNumFmtId;
-	long*   pOldColTable	= pColTable;
+	sal_Int32* pOldColNumFmtId	= pColNumFmtId;
+	sal_Int32* pOldColTable	= pColTable;
 
 	pColText		= new String[nNewColCnt];
-	pColNumFmtId	= new long  [nNewColCnt];
-	pColTable		= new long  [nNewColCnt];
+	pColNumFmtId	= new sal_Int32 [nNewColCnt];
+	pColTable		= new sal_Int32 [nNewColCnt];
 
 	short i, j, nOld;
 
@@ -710,11 +711,11 @@
 	delete[] pOldData;
 
 	String *pOldRowText     =pRowText;
-	long   *pOldRowNumFmtId =pRowNumFmtId;
-	long   *pOldRowTable    =pRowTable;
+	sal_Int32 *pOldRowNumFmtId =pRowNumFmtId;
+	sal_Int32 *pOldRowTable    =pRowTable;
 
-	pRowNumFmtId	= new long  [nNewRowCnt];
-	pRowTable		= new long  [nNewRowCnt];
+	pRowNumFmtId	= new sal_Int32 [nNewRowCnt];
+	pRowTable		= new sal_Int32 [nNewRowCnt];
 	pRowText        = new String[nNewRowCnt];
 
 	long nC=nNewRowCnt;
@@ -773,12 +774,12 @@
 	delete[] pOldData;
 
 	String* pOldRowText		= pRowText;
-	long*   pOldRowNumFmtId	= pRowNumFmtId;
-	long*   pOldRowTable	= pRowTable;
+	sal_Int32*   pOldRowNumFmtId	= pRowNumFmtId;
+	sal_Int32*   pOldRowTable	= pRowTable;
 
 	pRowText		= new String[nNewRowCnt];
-	pRowNumFmtId	= new long  [nNewRowCnt];
-	pRowTable		= new long  [nNewRowCnt];
+	pRowNumFmtId	= new sal_Int32 [nNewRowCnt];
+	pRowTable		= new sal_Int32 [nNewRowCnt];
 
 	for (i = 0, nOld = 0;; i++, nOld++)
 	{
